#include <bits/stdc++.h>
using namespace std;
vector<int> 
void init(){
	int n,k;
	cin>>n>>k;
	for (int i=1,u,v;i<n;i++)
		cin>>u>>v;
	for (int i=0,tmp;i<k;i++)
		cin>>tmp;
	cout<<
}
void solve(){
	cout<<n-2<<'\n';
}
int main(){
	cin.tie(0),cout.tie(0)->sync_with_stdio(0);
	int t,tt;
	cin>>tt>>t;
	while (t--)
	init(),
	solve();
}

